<div class="container">

  <div class="row justify-content-center">
    <div class="col-10">
      <%= render "shared/errors", object: @article %>

      <%= form_with(model: @article, class:"shadow p-3 m-3 bg-info rounded", local: true) do |form| %>
        <div class="form-group row">
          <%= form.label :title, class: 'col-2 col-form-label text-light' %>
          <div class="col-10">
            <%= form.text_field :title, class:"form-control shadow rounded", placeholder: 'Title' %>
          </div>
        </div>

        <div class="form-group row">
          <%= form.label :description, class: 'col-2 col-form-label text-light' %>
          <div class="col-10">
            <%= form.text_area :description, rows: 10, class:"form-control shadow rounded", placeholder: 'Description' %>
          </div>
        </div>

        <div class="form-group row">
          <%= form.label :category, class: 'col-2 col-form-label text-light' %>
          <div class="col-10">
            <%= form.collection_select(:category_ids, Category.all, :id, :name, {prompt: 'Select category for article'}, {multiple: true,
            class: "custom-select shadow rounded"})  %>
          </div>
        </div>

        <div class="form-group row justify-content-center">
          <%= form.submit class: "btn btn-outline-light btn-lg" %>
        </div>
      <% end %>
    </div>
    <%= link_to '[ Cancel and return to articles listing ]', articles_path, class: "text-info" %>
  </div>

</div>